Bug 233963 - net/miniupnpd: Fails to build when CHECK_PORTINUSE option enabled
Summary: net/miniupnpd: Fails to build when CHECK_PORTINUSE option enabled
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: amd64 Any
: --- Affects Some People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-12-12 18:22 UTC by ncrogers
Modified: 2019-12-16 08:14 UTC (History)
6 users (show)

See Also:
pi: maintainer-feedback+
koobs: merge-quarterly?


Attachments
poudriere log (28.87 KB, text/plain)
2018-12-12 18:22 UTC, ncrogers
no flags Details
svn-diff-miniupnpd (5.28 KB, patch)
2019-05-11 10:59 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-miniupnpd_v2 (4.88 KB, patch)
2019-05-11 11:05 UTC, Walter Schwarzenfeld
no flags Details | Diff
svn-diff-miniupnpd_v3 (4.90 KB, patch)
2019-05-11 11:19 UTC, Walter Schwarzenfeld
no flags Details | Diff
patch v4 (4.15 KB, patch)
2019-11-11 08:04 UTC, Franco Fichtner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description ncrogers 2018-12-12 18:22:29 UTC
Created attachment 200061 [details]
poudriere log

miniupnpd fails to build under 12.0-RELEASE. poudriere log is attached.
Comment 1 Nathan 2018-12-12 23:54:15 UTC
(In reply to ncrogers from comment #0)
Did you use any options other than default?
Comment 2 ncrogers 2018-12-13 00:02:16 UTC
Yes I believe so, the options in place are listed in the attached log file. I have these knobs in make.conf. 

net_miniupnpd_SET=LEASEFILE PF_FILTER_RULES IPV6 CHECK_PORTINUSE
Comment 3 Nathan 2018-12-13 00:28:06 UTC
(In reply to ncrogers from comment #2)
For now, I can tell you it is the portinuse option
Comment 4 Franco Fichtner 2019-05-11 09:57:15 UTC
patch-portinuse.c needs to be disabled for FreeBSD < 12.0, it was repaired for 12.0 and up but broken for 11.x and below in March.
Comment 5 Walter Schwarzenfeld freebsd_triage 2019-05-11 10:59:06 UTC
Created attachment 204319 [details]
svn-diff-miniupnpd
Comment 6 Walter Schwarzenfeld freebsd_triage 2019-05-11 11:05:26 UTC
Created attachment 204320 [details]
svn-diff-miniupnpd_v2

Was a typo in it.
Comment 7 Franco Fichtner 2019-05-11 11:07:27 UTC
Looks good so far, although the following idiom shall be used to avoid breaking foreign port trees:

.if ${OPSYS} == FreeBSD && ${OSVERSION} >= XXX


Cheers,
Franco
Comment 8 Walter Schwarzenfeld freebsd_triage 2019-05-11 11:19:13 UTC
Created attachment 204321 [details]
svn-diff-miniupnpd_v3

Okay!
Comment 9 Franco Fichtner 2019-11-06 10:08:59 UTC
Thanks, one more thing I noticed is that bumping PORTEPOCH was probably unintended. Since this is a build fix no bump for PORTREVISION is needed as well.

And can we have this committed please? :)


Cheers,
Franco
Comment 10 Franco Fichtner 2019-11-11 08:04:33 UTC
Created attachment 209047 [details]
patch v4

working patch which fixes two issues in previous
Comment 11 Tor Halvard Furulund 2019-12-05 13:09:40 UTC
Looks ok for me
Comment 12 Kurt Jaeger freebsd_committer 2019-12-16 08:06:42 UTC
testbuilds@work
Comment 13 Kurt Jaeger freebsd_committer 2019-12-16 08:12:18 UTC
Committed, thanks!
Comment 14 commit-hook freebsd_committer 2019-12-16 08:14:40 UTC
A commit references this bug:

Author: pi
Date: Mon Dec 16 08:13:39 UTC 2019
New revision: 520227
URL: https://svnweb.freebsd.org/changeset/ports/520227

Log:
  net/miniupnpd: Fix build when CHECK_PORTINUSE option enabled

  PR:		233963
  Reported by:	ncrogers@gmail.com
  Submitted by:	w.schwarzenfeld@utanet.at
  Reviewed by:	franco@opnsense.org
  Approved by:	squat@squat.no (maintainer)

Changes:
  head/net/miniupnpd/Makefile
  head/net/miniupnpd/files/extra-patch-portinuse.c
  head/net/miniupnpd/files/patch-portinuse.c